/* datagen.cpp
*
*   This program creates a file name "sample.dat".
*   Three columns of data are generated.
*/
#include <stdio.h>
#include <stdlib.h>
#include <math.h>


int main(int argc, char *argv[])
{
	int i;
	double x, y, z, ampl, phi;
	const double pi = 4.0*atan(1.0);
	FILE *fp;
	char *filename;

	filename = (argc<2? "sample.dat": argv[1]);
	printf("output file: %s\n",filename);

	fp = fopen(filename,"wt");
	if (!fp) {
		printf("error opening output file\n");
		return -1;
	}

	for (i=0; i<=500; i++) {
		x = 0.01*i;
		ampl = exp(-0.2*x);
		phi = 2.0*pi*x;
		y = ampl*cos(phi);
		z = ampl*sin(phi);
		fprintf(fp,"%g %g %g\n",x,y,z);
	}
	fclose(fp);
	return 0;
}
